state("Fable") {
  bool isLoading: 0x00FB8794, 0x8, 0x17C, 0x8, 0xC, 0x128;
  int coreQuests : 0xFB8A1C, 0x8C, 0x14, 0x44, 0x14, 0xC0;
  uint gameProgress: 0xFBAE30; //see https://goo.gl/7x4wKE for information
  uint autosave1: 0xFB89C0;
  uint autosave2: 0xFB89E0;
  uint autosave3: 0xFB89E4;
  uint isPortingOrFadingIn: 0x007D7148, 0xC; //random values when porting in or fading
  uint renown: 0xFB8A1C, 0x8C, 0x10, 0x44, 0x14, 0x78;
  uint gold: 0xFB8A1C, 0x8C, 0x10, 0x44, 0x14, 0x3C;
  int alignment: 0xFB8A1C, 0x8C, 0x10, 0x44, 0x14, 0x28; //mystery struct holds all the answers
  // int optionalQuests: 0xFB8A1C, 0x8C, 0x10, 0x44, 0x14, 0xC8;
  //Sera found the Quests Completed value finally! PogChamp
}

startup {
  vars.quests = new string[,] {
    {"Childhood", "true"},
    {"Guild Training", "true"},
    {"Wasp Menace/Beetles PACKAGE DEAL", "true"},
    {"Talk to Maze in Bowerstone South", "false"},
    {"Orchard Farm", "true"},
    {"Trader Escort", "true"},
    {"Talk to Maze in Oakvale", "false"},
    {"Find the Bandit Seeress", "true"},
    {"Talk to Maze in the Guild", "false"},
    {"Find the Archaeologist", "true"},
    {"White Balverine", "true"},
    {"Arena", "true"},
    {"Talk to Theresa at the Grey House", "false"},
    {"Rescue the Archaeologist", "true"},
    {"Graveyard Path", "true"},
    {"Imprisoned!", "false"},
    {"Prison Escape", "true"},
    {"Gateway to Hook Coast (Book in Maze's Tower)", "false"},
    {"Return to Hook Coast (Kill Maze)", "true"},
    {"Try to Stop Jack of Blades", "true"},
    {"Battle Jack of Blades", "true"},
    {"Prophets of the Fire Heart", "true"},
    {"Ship of the Drowned", "true"},
    {"Necropolis", "false"},
    {"Talk to Scythe in Snowspire", "true"},
    {"Collecting an Arena Soul", "true"},
    {"Collecting a Heroine's Soul", "true"},
    {"Collecting the Oldest Soul", "true"},
    {"Souls of Heroes (Open the Bronze Gate)", "false"},
    {"The Final Battle", "true"}
  };

  for (int i = 0; i <= 29; i++) {
    settings.Add("split"+i, vars.quests[i,1] == "true", vars.quests[i,0]); // I don't really know C# so this probably wasn't the right way to do this :)
  }

  vars.inLoad = false;
}

split {
  return settings["split"+current.coreQuests] && ((old.coreQuests < current.coreQuests) || (current.coreQuests == 0 && old.gameProgress == 0 && current.gameProgress == 1));
}

isLoading {
  var autosaving = (current.autosave1 > 0
      || current.autosave2 > 0
      || current.autosave3 > 0);
  var loading = current.isLoading && !(current.isPortingOrFadingIn > 0);
  return autosaving || loading;
}

update {
  //a bunch of conditions to detect we just started the game
  //specifically, a bunch of stuff zeroes out and we finish loading an autosave
  bool gpCheck = current.coreQuests == 0;
  bool goldCheck = current.gold == 0;
  bool alignmentCheck = current.alignment == 0;
  bool oldAutosave = (old.autosave1 > 0
      || old.autosave2 > 0
      || old.autosave3 > 0);
  bool curAutosave = (current.autosave1 > 0
      || current.autosave2 > 0
      || current.autosave3 > 0);
  bool autosaveCheck = oldAutosave && !curAutosave;
  bool reset = gpCheck && goldCheck && alignmentCheck && autosaveCheck;

  vars.shouldStart = reset;
}

start {
  return vars.shouldStart;
}